﻿-- Author      : Matthew
-- Create Date : 1/17/2010 12:48:38 PM


LootCouncil_TheCouncil = {};
LootCouncil_Browser = {}
LootCouncil_Browser.Data = {}
LootCouncil_Browser.Elects = {}
LootCouncil_Browser.Votes = {}
LootCouncil_Browser.WhisperList = {}
LootCouncil_PlayerData = {}
LootCouncil_minRank = 0
LootCouncil_sawFirstMessage = 0;

do
	----------- Slash Command Manager -----------
	-- Valid Slash Commands:                   
	-- start (item): starts the consideration        
	-- show: shows the frame                   
	-- hide: hides the frame                     
	---------------------------------------------
	SLASH_LOOT_COUNCIL1 = "/lc";
	SLASH_LOOT_COUNCIL2 = "/lootcouncil";
	SlashCmdList["LOOT_COUNCIL"] = function(msg)
		local cmd, arg = string.split(" ", msg); -- Separates the command from the rest
		cmd = cmd:lower(); -- Lower case command
		if cmd == "show" then -- show the main frame
			LootCouncil_Browser.showMainFrame();
		elseif cmd == "hide" then -- hide the main frame
			LootCouncil_Browser.hideMainFrame();
		elseif cmd == "start" then -- try to start a new Loot Council Session
			LootCouncil_Browser.initiateLootCouncil(msg:match("^start%s+(.+)"));
		elseif cmd == "end" then
			LootCouncil_Browser.initiateAbort();
		elseif cmd == "rank" then
			RankFrame:Show()
		elseif cmd == "" then
			print("LOOT COUNCIL COMMANDS:");
			print("prefix: /lc");
			print(" - show - shows the main frame")
			print(" - hide - hide the main frame")
			print(" - start (item) - attempts to start a loot council session");
			print(" - end - attempts to end a loot council session");
			print(" - rank - shows the frame for setting the guild council ranks")
		else
			print(""..msg.." is not a valid command for /lc");
		end
	end
end